# Copyright 2011 Dan Smith <dsmith@danplanet.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from chirp.wouxun import KGUV6DRadio
from chirp import directory

@directory.register
class KGUV6DV2Radio(KGUV6DRadio):
    """Wouxun KG-UV6D V2"""
    VENDOR = "Wouxun"
    MODEL = "KG-UV6DV2"
   
    _querymodel = "HiKGUVD1\x02"
    
    @classmethod
    def get_experimental_warning(cls):
        return ('This is a very experimental version of the Wouxun driver for new KG-UV6D V2 radios. '
                'Please do not use it if not directed by a developer. You have been warned. Proceed at your own risk!')
